.type-category .category-top .subcategories {
    position: relative;
    overflow: hidden;
}

.type-category .category-top .subcategories::after {
    content: "";
    position: absolute;
    left: 0;
    right: 0;
    bottom: 0;
    height: 80px;
    pointer-events: none;
    background: linear-gradient(to bottom, rgba(255, 255, 255, 0), #fff);
    opacity: 0;
    transition: opacity 0.3s ease;
}

.type-category .category-top .subcategories.has-hidden::after {
    opacity: 1;
}

.type-category .category-top .subcategories.expanded::after {
    opacity: 0;
}

.type-category .category-top .show-more-btn {
    text-align: center;
    margin: 20px 0;
    cursor: pointer;
}

.type-category .category-top .show-more-btn img {
    width: 40px;
    transition: transform 0.3s ease, opacity 0.3s ease;
    opacity: 0.7;
}

.type-category .category-top .show-more-btn:hover img {
    opacity: 1;
    transform: translateY(3px);
}

.type-category .category-top .show-more-btn.expanded img {
    transform: rotate(180deg);
}

.subcategories {
    margin-bottom: 0px !important;
}

.type-category .category-top {
    margin-bottom: 30px;
}

.subcategories-unveil-button-wrapper {
    display: flex;
    justify-content: center;
}

.categories-unveil-button {
    display: block;
    text-align: center;
}

.categories-unveil-button img {
    width: 40px;
    transition: transform 0.3s ease, opacity 0.3s ease;
    opacity: 0.7;
}

.categories-unveil-button:hover img {
    opacity: 1;
    transform: translateY(3px);
}

.subcategories-unveil-button-wrapper .unveil-button.categories-unveil-button:after {
    content: "\e90e";
    float: right;
    line-height: inherit;
    margin-left: 15px;
    font-family: shoptet;
    display: inline-block;
    transition: transform 0.3s ease;
}

.subcategories-unveil-button-wrapper .unveil-button.categories-unveil-button.expanded:after {
    transform: rotate(180deg);
}

a.btn.btn-default.unveil-button.categories-unveil-button {
    background-color: #ffffff;
    border-color: #0046b4;
    color: #0046b4;
    transition: 0.3s;
    margin-bottom: 0px;
    margin-top: 5px !important;
}

a.btn.btn-default.unveil-button.categories-unveil-button:hover {
    background-color: #ffffff;
    border-color: #00b4ff;
    color: #00b4ff;
    transition: 0.3s;
}

@media(max-width: 767px) {
    .type-category .category-top {
        margin-bottom: 40px;
    }

    a.btn.btn-default.unveil-button.categories-unveil-button {
        background-color: #0046b4;
        border-color: #0046b4;
        color: #ffffff;
    }

    a.btn.btn-default.unveil-button.categories-unveil-button:hover {
        background-color: #00b4ff;
        border-color: #00b4ff;
        color: #ffffff;
    }
}